import { ValidationErrorService } from './validation-error.service';
import { AlertEventService } from './alert.event.service';
import { SafeHtml } from '@angular/platform-browser';
import { Alert } from './ng-pop-alert.interface';
export declare class NgPopAlertService {
    private validationError;
    private alertEventService;
    alert: Alert;
    constructor(validationError: ValidationErrorService, alertEventService: AlertEventService);
    /**
     * Success Alert
     * @param message
     * @returns {{message: string, alert_class: string}}
     */
    success(message: SafeHtml | string): Alert;
    /**
     * Info Alert
     * @param message
     * @returns {{message: string, alert_class: string}}
     */
    info(message: SafeHtml | string): Alert;
    /**
     * Warning Alert
     * @param message
     * @returns {{message: string, alert_class: string}}
     */
    warning(message: SafeHtml | string): Alert;
    /**
     * Error Alert
     * @param defaultMessage
     * @param data
     * @returns {{message: string, alert_class: string}}
     */
    error(defaultMessage: SafeHtml | string, data?: String | Object | Array<SafeHtml | string> | Array<Object>): Alert;
    /**
     * This is used to clear alert from display
     */
    clear(): void;
    /**
     * This is used to display Error message
     * @param data
     * @param message
     */
    private showError(data, message);
}
